Plugin-Kompatibilität zu CMSimple_XH 1.7

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
olape
Posts: 1829
Joined: Fri Mar 13, 2015 8:47 am
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by olape » Sat Apr 24, 2021 11:01 am

cmb wrote:
Fri Apr 23, 2021 8:41 pm
Das sollte vielleicht grundsätzlich im Plugin geändert werden,
Schöner wäre, wenn das Plugin grundsätzlich erst mal zu nutzen wäre.
Nach meiner Kenntnis ist es nirgends verfügbar.

cmb
Posts: 13768
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by cmb » Sat Apr 24, 2021 12:42 pm

olape wrote:
Sat Apr 24, 2021 11:01 am
Schöner wäre, wenn das Plugin grundsätzlich erst mal zu nutzen wäre.
Nach meiner Kenntnis ist es nirgends verfügbar.
Oh, richtig. https://cmsimplexh.webdesign-keil.de/?E ... /simplePDF hat auch keine Infos wo man es herunter laden kann.
Christoph M. Becker – Plugins for CMSimple_XH

Hartmut
Posts: 539
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sat Apr 24, 2021 4:03 pm

Hallo,
hier im Forum gehöre ich mittlerweile zur Kategorie "Vielleser aber Wenigschreiben" und kann weiterhelfen. ;-)

Die meisten Plugins in meiner oben genannten Plugin Doku habe ich in meinem Fundus.
Holgers Plugin "hi_simplepdf" habe ich eben per Mail an Christoph gesendet und er kann ja einmal "darüber schaun". (Meine damaligen Eindrücke und Anregungen zu dieser Version an Holger sind auch dabei)
Den ursprünglichen Download Link gibt es nicht mehr und deswegen hatte ich ihn aus der Plugindoku entfernt.

Kurze Ergänzung zu 7sleeper Test...
Mit CMSimple_XH 1.6.10 + PHP 5.6.38-nmm2 funktioniert das Plugin "hi_simplepdf pr1.2" fehlerfrei.
Nach Änderung in Zeile 322 von false auf true auch unter CMSimple_XH 1.7.4 + PHP 7.4.16.

Viele Grüße
Hartmut

frase
Posts: 4137
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by frase » Sat Apr 24, 2021 4:10 pm

Hartmut wrote:
Sat Apr 24, 2021 4:03 pm
hier im Forum gehöre ich mittlerweile zur Kategorie "Vielleser aber Wenigschreiben"
... man sollte vielleicht noch ergänzen: "Mitdenker" ;-)
Danke für deine Aufmerksamkeit.

cmb
Posts: 13768
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by cmb » Sat Apr 24, 2021 7:16 pm

Hartmut wrote:
Sat Apr 24, 2021 4:03 pm
Holgers Plugin "hi_simplepdf" habe ich eben per Mail an Christoph gesendet und er kann ja einmal "darüber schaun". (Meine damaligen Eindrücke und Anregungen zu dieser Version an Holger sind auch dabei)
Danke. Ich habe mal drübergeschaut, und denke es ist sicherlich nützlich. Die zwei größten Probleme, die ich sehe: (1) es kommt ohne Lizenzangaben, und kann somit nur verwendet werden, wie Holger es ausdrücklich erlaubt; (2) es enthält eine ziemlich alte Dompdf Version (0.6 oder früher), obwohl die Bibliothek kräftig weiterentwickelt wurde. Möglicherweise löst eine neuere Version diverse Probleme (vielleicht auch das von 7sleeper berichtete).

Der mit Holger diskutierte "Verbindung unterbrochen" Fehler könnte eventuell an einem Timeout oder sonstigen Zugriffsbeschränkungen des Hosters liegen; immerhin ruft das Plugin die Seite per HTTP(S) vom Server ab, und zumindest für chapter2PdfLink() sind dazu eben mehrere Anfragen nötig.

Der dort ebenfalls diskutiert "fatale Fehler nach langer Laufzeit" ist entweder das gleich Problem wie "Verbindung unterbrochen", oder könnte durch OPcache verursacht werden (der "verschluckt" sich im Lauf der Zeit gelegentlich, abhängig gerade auch von der PHP Version).

Auf jeden Fall sind solche Probleme ohne weitere Fehlermeldungen immer schwer zu beseitigen.
Christoph M. Becker – Plugins for CMSimple_XH

Post Reply